## org.eclipse.emf.mapping.command
Class PersistentCommandStack.Decoder

    java.lang.Object
      org.eclipse.emf.mapping.command.PersistentCommandStack.Decoder

Enclosing class:
  PersistentCommandStack

    public static class PersistentCommandStack.Decoder

extends java.lang.Object

Field Summary
`protected java.lang.ClassLoader` `classLoader`
`protected int` `index`
`protected MappingRoot` `mappingRoot`
`protected ResourceSet` `resourceSet`
`protected java.lang.String` `string`

Constructor Summary
`PersistentCommandStack.Decoder(MappingRoot mappingRoot, ResourceSet resourceSet, java.lang.ClassLoader classLoader)`

Method Summary
`java.lang.Object` `decode()`
`void` `setEncoding(java.lang.String encoding)`
`protected void` `skipWhitespace()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### string

    protected java.lang.String string

### index

    protected int index

### resourceSet

    protected ResourceSet resourceSet

### classLoader

    protected java.lang.ClassLoader classLoader

### mappingRoot

    protected MappingRoot mappingRoot

Constructor Detail

### PersistentCommandStack.Decoder

    public PersistentCommandStack.Decoder(MappingRoot mappingRoot,
                                          ResourceSet resourceSet,
                                          java.lang.ClassLoader classLoader)

Method Detail

### setEncoding

    public void setEncoding(java.lang.String encoding)

### skipWhitespace

    protected void skipWhitespace()

### decode

    public java.lang.Object decode()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.